var contracts_user =
[
    [ "Function Contracts", "contracts-functions.html", [
      [ "Overview", "contracts-functions.html#autotoc_md93", null ],
      [ "Additional Resources", "contracts-functions.html#autotoc_md94", null ]
    ] ],
    [ "Loop Contracts", "contracts-loops.html", [
      [ "Examples", "contracts-loops.html#autotoc_md108", [
        [ "Binary Search Unbounded Proof", "contracts-loops.html#autotoc_md109", null ],
        [ "Array Wipe Unbounded Proof", "contracts-loops.html#autotoc_md110", null ],
        [ "Caution With Nested Loop", "contracts-loops.html#autotoc_md111", null ]
      ] ],
      [ "Additional Resources", "contracts-loops.html#autotoc_md112", null ]
    ] ],
    [ "Requires and Ensures Clauses", "contracts-requires-ensures.html", [
      [ "Syntax", "contracts-requires-ensures.html#autotoc_md130", null ],
      [ "Semantics", "contracts-requires-ensures.html#autotoc_md131", [
        [ "Enforcement", "contracts-requires-ensures.html#autotoc_md132", null ],
        [ "Replacement", "contracts-requires-ensures.html#autotoc_md133", null ]
      ] ],
      [ "Additional Resources", "contracts-requires-ensures.html#autotoc_md134", null ]
    ] ],
    [ "Assigns Clauses", "contracts-assigns.html", [
      [ "Syntax", "contracts-assigns.html#autotoc_md60", [
        [ "Lvalue targets", "contracts-assigns.html#autotoc_md61", null ],
        [ "Object slice targets", "contracts-assigns.html#autotoc_md62", null ],
        [ "Function parameters", "contracts-assigns.html#autotoc_md65", null ],
        [ "Inductive data structures", "contracts-assigns.html#autotoc_md66", null ]
      ] ],
      [ "Semantics", "contracts-assigns.html#autotoc_md67", [
        [ "Contract Enforcement", "contracts-assigns.html#autotoc_md68", null ],
        [ "Contract Replacement", "contracts-assigns.html#autotoc_md69", null ]
      ] ],
      [ "Loop Assigns Inference", "contracts-assigns.html#autotoc_md70", [
        [ "Limitation", "contracts-assigns.html#autotoc_md71", null ]
      ] ],
      [ "Additional Resources", "contracts-assigns.html#autotoc_md72", null ]
    ] ],
    [ "Frees Clauses", "contracts-frees.html", [
      [ "Frees Clauses", "contracts-frees.html#autotoc_md78", [
        [ "Syntax", "contracts-frees.html#autotoc_md79", [
          [ "Example", "contracts-frees.html#autotoc_md80", null ]
        ] ],
        [ "Semantics", "contracts-frees.html#autotoc_md81", [
          [ "For contract checking", "contracts-frees.html#autotoc_md82", null ],
          [ "For replacement of function calls by contracts", "contracts-frees.html#autotoc_md83", null ]
        ] ],
        [ "Specifying parametric sets of freeable pointers using C functions", "contracts-frees.html#autotoc_md84", null ],
        [ "Frees clause related predicates", "contracts-frees.html#autotoc_md85", null ]
      ] ]
    ] ],
    [ "Loop Invariant Clauses", "contracts-loop-invariants.html", [
      [ "Syntax", "contracts-loop-invariants.html#autotoc_md105", null ],
      [ "Semantics", "contracts-loop-invariants.html#autotoc_md106", null ],
      [ "Additional Resources", "contracts-loop-invariants.html#autotoc_md107", null ]
    ] ],
    [ "Decreases Clauses", "contracts-decreases.html", [
      [ "Syntax", "contracts-decreases.html#autotoc_md75", null ],
      [ "Semantics", "contracts-decreases.html#autotoc_md76", null ],
      [ "Additional Resources", "contracts-decreases.html#autotoc_md77", null ]
    ] ],
    [ "Memory Predicates", "contracts-memory-predicates.html", [
      [ "The __CPROVER_is_fresh predicate", "contracts-memory-predicates.html#autotoc_md113", [
        [ "Syntax", "contracts-memory-predicates.html#autotoc_md114", [
          [ "Parameters", "contracts-memory-predicates.html#autotoc_md115", null ],
          [ "Return Value", "contracts-memory-predicates.html#autotoc_md116", null ]
        ] ],
        [ "Semantics", "contracts-memory-predicates.html#autotoc_md117", [
          [ "Enforcement", "contracts-memory-predicates.html#autotoc_md118", null ],
          [ "Replacement", "contracts-memory-predicates.html#autotoc_md119", null ],
          [ "Influence of memory allocation failure modes flags in assumption contexts", "contracts-memory-predicates.html#autotoc_md120", null ]
        ] ]
      ] ],
      [ "The __CPROVER_pointer_in_range_dfcc predicate", "contracts-memory-predicates.html#autotoc_md121", [
        [ "Syntax", "contracts-memory-predicates.html#autotoc_md122", null ],
        [ "Semantics", "contracts-memory-predicates.html#autotoc_md123", null ]
      ] ],
      [ "User defined memory predicates", "contracts-memory-predicates.html#autotoc_md124", [
        [ "Limitations", "contracts-memory-predicates.html#autotoc_md125", null ]
      ] ],
      [ "Additional Resources", "contracts-memory-predicates.html#autotoc_md126", null ]
    ] ],
    [ "Function Pointer Predicates", "contracts-function-pointer-predicates.html", [
      [ "Syntax", "contracts-function-pointer-predicates.html#autotoc_md86", [
        [ "Parameters", "contracts-function-pointer-predicates.html#autotoc_md87", null ],
        [ "Return Value", "contracts-function-pointer-predicates.html#autotoc_md88", null ]
      ] ],
      [ "Semantics", "contracts-function-pointer-predicates.html#autotoc_md89", [
        [ "Enforcement", "contracts-function-pointer-predicates.html#autotoc_md90", null ],
        [ "Replacement", "contracts-function-pointer-predicates.html#autotoc_md91", null ]
      ] ],
      [ "Additional Resources", "contracts-function-pointer-predicates.html#autotoc_md92", null ]
    ] ],
    [ "History Variables", "contracts-history-variables.html", [
      [ "In Function Contracts", "contracts-history-variables.html#autotoc_md95", [
        [ "Syntax", "contracts-history-variables.html#autotoc_md96", null ],
        [ "Parameters", "contracts-history-variables.html#autotoc_md97", null ],
        [ "Semantics", "contracts-history-variables.html#autotoc_md98", null ]
      ] ],
      [ "In Loop Contracts", "contracts-history-variables.html#autotoc_md99", [
        [ "Syntax", "contracts-history-variables.html#autotoc_md100", null ],
        [ "Parameters", "contracts-history-variables.html#autotoc_md101", null ],
        [ "Semantics", "contracts-history-variables.html#autotoc_md102", null ],
        [ "Example", "contracts-history-variables.html#autotoc_md103", null ]
      ] ],
      [ "Additional Resources", "contracts-history-variables.html#autotoc_md104", null ]
    ] ],
    [ "Quantifiers", "contracts-quantifiers.html", [
      [ "Syntax", "contracts-quantifiers.html#autotoc_md127", null ],
      [ "Semantics", "contracts-quantifiers.html#autotoc_md128", null ],
      [ "Additional Resources", "contracts-quantifiers.html#autotoc_md129", null ]
    ] ],
    [ "Command Line Interface for Code Contracts", "contracts-user-cli.html", [
      [ "Applying loop and/or function contracts transformations (without the dynamic frames method)", "contracts-user-cli.html#autotoc_md73", null ],
      [ "Applying the function contracts transformation (with the dynamic frames method)", "contracts-user-cli.html#autotoc_md74", null ]
    ] ]
];